## edu.stanford.nlp.ling
Interface Datum<L,F>

Type Parameters:
  `L` - The type of the labels in the Datum
  `F` - The type of the features in the Datum

All Superinterfaces:
  Featurizable<F>, Labeled<L>, Serializable

All Known Subinterfaces:
  Document<L,F,T>

    public interface Datum<L,F>

extends Serializable, Featurizable<F>, Labeled<L>

Interface for Objects which can be described by their features. An Object is described by a Datum as a List of categorical features. (For features which have numeric values, see `RVFDatum`. These objects can also be Serialized (for insertion into a file database).

Author:
  Sepandar Kamvar (sdkamvar@stanford.edu), Sarah Spikes (sdspikes@cs.stanford.edu) (Templatization)

Method Summary

Methods inherited from interface edu.stanford.nlp.ling.Featurizable
`asFeatures`

Methods inherited from interface edu.stanford.nlp.ling.Labeled
`label, labels`

Stanford NLP Group